import { geoAlbers, geoPath, geoGraticule } from 'd3';

//const projection = d3.geoNaturalEarth1();
//const projection = d3.geoAzimuthalEqualArea();
//const projection = d3.geoAzimuthalEquidistant();

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const MapMarks = ({ atlas: { land, interiors } }) => (
  <g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> 
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
