import React from 'react';
import ReactDOM from 'react-dom';
import { getUsAtlas } from './getUsAtlas';
import { MapMarks } from './MapMarks';

const width = 960;
const height = 500;

const App = () => {
  const data = getUsAtlas();

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <MapMarks atlas={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
